API Reference
Bank Accounts
Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/bank/accounts"{
"data": [
{
"id": "string",
"created_by": "string",
"connection_id": "string",
"provider_account_id": "string",
"name": "string",
"account_type": "string",
"status": "string",
"currency": "string",
"iban": "string",
"bic": "string",
"last_synced_at": "string",
"balance_amount": 0,
"balance_currency": "string",
"institution_id": "string",
"owner_name": "string",
"created_at": "string",
"metadata": null,
"organization_id": "string",
"mask": "string",
"bank_connection": {
"id": "string",
"created_by": "string",
"provider_id": "string",
"provider_connection_id": "string",
"institution_id": "string",
"institution_name": "string",
"institution_logo_url": "string",
"status": "string",
"created_at": "string",
"expires_at": "string",
"last_accessed_at": "string",
"provider_metadata": null,
"organization_id": "string"
}
}
]
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/bank/accounts" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "iban": "string", "currency": "string" }'{
"data": {
"id": "string",
"created_by": "string",
"connection_id": "string",
"provider_account_id": "string",
"name": "string",
"account_type": "string",
"status": "string",
"currency": "string",
"iban": "string",
"bic": "string",
"last_synced_at": "string",
"balance_amount": 0,
"balance_currency": "string",
"institution_id": "string",
"owner_name": "string",
"created_at": "string",
"metadata": null,
"organization_id": "string",
"mask": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/bank/accounts/string"{
"data": {
"id": "string",
"created_by": "string",
"connection_id": "string",
"provider_account_id": "string",
"name": "string",
"account_type": "string",
"status": "string",
"currency": "string",
"iban": "string",
"bic": "string",
"last_synced_at": "string",
"balance_amount": 0,
"balance_currency": "string",
"institution_id": "string",
"owner_name": "string",
"created_at": "string",
"metadata": null,
"organization_id": "string",
"mask": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Authorization
bearerAuth AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Path Parameters
id*string
Response Body
application/json
application/json
curl -X DELETE "https://example.com/v1/bank/accounts/string"Empty
{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}